[ic] Upgrade to 5.2 Broke Options

Bryan tquark at gmail.com
Sun Sep 12 18:15:34 EDT 2004


I sent an email on this back in June but never got a response.  Still
do not have options working and am hoping someone can point me in the
right direction.  They were working on ic 4.8 but just stopped after
the upgrade.  Original email follows:

I upgraded to 5.2 and my catalog is based on the 4.8 foundation
catalog.  The [item-options] tag seems to be broken so the
options do not show for my products.  Has anyone else experienced
this?  Can anyone think of a reason this would happen as a result
of an upgrade?  Is there a database table that needs

In my flypage.html I have

              [perl tables="options"][/perl]

              [if-item-data options o_enable]
                [if-item-data !options o_modular]
                Choose one:
                  [table-organize cols=2 table=' ' pretty=1]
                    [item-options td=1 label=1 bold=1 price=1 weight=1]

              [if-item-data options o_modular]
                [set arg][item-code][/set]
                [include templates/components/modular_buy]

So, for items that should have options the text
Choose one:
does appear in the appropriate place on the item page.

There are still entries in the options table for the items ...

I can't find any error messages about this (in catalog error.log,
interchange error.log or /tmp/icdebug)


More information about the interchange-users mailing list